Subject: Re: bug#40462: 28.0.50; Building nativecomp branch segfaulting on FreeBSD

From: Andrea Corallo <[email-masked]>
Date: Fri, 01 May 2020 08:53:31 +0000

Ashish SHUKLA <[email-masked]> writes:

>> Hi Ashish,
>> 
>> Thanks, sorry I wasn't clear.  You can control the speed parameter of
>> the native compiler during the initial build for instance as follow:
>> 
>> make BYTE_COMPILE_EXTRA_FLAGS='--eval "(setq comp-speed 0)"' -j2
>> 
>> If you could try this is an interesting test.  I suspect this could be
>> the same bug is seen on MacOS where is observed to be working only at
>> speed 0.
>
> After making that change, I'm able to install it fine.

Very good, this could indicate my suspect is correct and in case solving
this bug we could solve two problem at once.

Thanks
  
  Andrea

-- 
[email-masked]